Package org.jbpm.process.core.context.variable

## Class VariableScope

- java.lang.Object
- - org.jbpm.process.core.context.AbstractContext
  - - org.jbpm.process.core.context.variable.VariableScope

- All Implemented Interfaces:
    `Serializable`, `Context`

      public class VariableScope
      extends AbstractContext

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CASE_FILE_PREFIX` |
    `static String` | `VARIABLE_SCOPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableScope()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Variable` | `findVariable​(String variableName)` |
    `String` | `getType()` |
    `String[]` | `getVariableNames()` |
    `List<Variable>` | `getVariables()` |
    `boolean` | `isReadOnly​(String name)` |
    `boolean` | `isRequired​(String name)` |
    `Context` | `resolveContext​(Object param)` |
    `void` | `setVariables​(List<Variable> variables)` |
    `static void` | `setVariableStrictOption​(boolean turnedOn)` |
    `List<String>` | `tags​(String name)` |
    `Object` | `validateVariable​(String processName, String name, Object value)` |

    - ### Methods inherited from class org.jbpm.process.core.context.AbstractContext

      `getContextContainer, getId, setContextContainer, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VARIABLE_SCOPE

          public static final String VARIABLE_SCOPE

      See Also:
        Constant Field Values

    - #### CASE_FILE_PREFIX

          public static final String CASE_FILE_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VariableScope

          public VariableScope()

  - ### Method Detail

    - #### getType

          public String getType()

    - #### getVariables

          public List<Variable> getVariables()

    - #### setVariables

          public void setVariables​(List<Variable> variables)

    - #### getVariableNames

          public String[] getVariableNames()

    - #### findVariable

          public Variable findVariable​(String variableName)

    - #### resolveContext

          public Context resolveContext​(Object param)

    - #### validateVariable

          public Object validateVariable​(String processName,
                                         String name,
                                         Object value)

    - #### isReadOnly

          public boolean isReadOnly​(String name)

    - #### isRequired

          public boolean isRequired​(String name)

    - #### tags

          public List<String> tags​(String name)

    - #### setVariableStrictOption

          public static void setVariableStrictOption​(boolean turnedOn)